[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] reproducible Debian: add script to ease powercycling arm64 nodes

Holger Levsen gitlab at salsa.debian.org
Mon Oct 28 17:40:17 GMT 2019



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
64d87e9e by Holger Levsen at 2019-10-28T17:40:09Z
reproducible Debian: add script to ease powercycling arm64 nodes

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


1 changed file:

- + bin/powercycle_arm64_nodes.sh


Changes:

=====================================
bin/powercycle_arm64_nodes.sh
=====================================
@@ -0,0 +1,18 @@
+#!/bin/bash
+# vim: set noexpandtab:
+
+# Copyright 2019 Holger Levsen <holger at layer-acht.org>
+# released under the GPLv2
+
+# validate input
+for i in $@ ; do
+	case $i in
+		9|10|11|12|13|14|15|16)	: ;;
+		*) 	echo 'invalid parameter.'
+			exit 1
+			;;
+	esac
+done
+
+# delegate work
+ssh jumpserv.colo.codethink.co.uk ./sled-power-cycle.sh $@



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/commit/64d87e9e52e8e12b2168f8f19265348a4a23dfab

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/commit/64d87e9e52e8e12b2168f8f19265348a4a23dfab
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20191028/92e26571/attachment.html>


More information about the Qa-jenkins-scm mailing list